Index: testsuites/fstests/fsbdpart01/init.c
===================================================================
--- testsuites/fstests/fsbdpart01/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
+++ testsuites/fstests/fsbdpart01/init.c	(revision bc7588777427880012026acad01dfd7a1f91d524)
@@ -28,4 +28,6 @@
 #include <rtems/libcsupport.h>
 
+const char rtems_test_name[] = "FSBDPART 1";
+
 #define ASSERT_SC(sc) rtems_test_assert((sc) == RTEMS_SUCCESSFUL)
 
@@ -207,11 +209,10 @@
 static void Init(rtems_task_argument arg)
 {
-  printf("\n\n*** TEST FSBDPART 1 ***\n");
+  TEST_BEGIN();
 
   test_bdpart();
   test_ide_part_table();
 
-  printf("*** END OF TEST FSBDPART 1 ***\n");
-
+  TEST_END();
   rtems_test_exit(0);
 }
@@ -236,4 +237,6 @@
 #define CONFIGURE_INIT_TASK_STACK_SIZE (32 * 1024)
 
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/fstests/fsdosfsformat01/init.c
===================================================================
--- testsuites/fstests/fsdosfsformat01/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
+++ testsuites/fstests/fsdosfsformat01/init.c	(revision bc7588777427880012026acad01dfd7a1f91d524)
@@ -29,4 +29,6 @@
 #include <bsp.h>
 
+const char rtems_test_name[] = "FSDOSFSFORMAT 1";
+
 #define MAX_PATH_LENGTH 100 /* Maximum number of characters per path */
 #define SECTOR_SIZE 512 /* sector size (bytes) */
@@ -472,10 +474,9 @@
 static void Init( rtems_task_argument arg )
 {
-  puts( "\n\n*** TEST FSDOSFSFORMAT 1 ***" );
+  TEST_BEGIN();
 
   test();
 
-  puts( "*** END OF TEST FSDOSFSFORMAT 1 ***" );
-
+  TEST_END();
   rtems_test_exit( 0 );
 }
@@ -497,4 +498,6 @@
 #define CONFIGURE_INIT_TASK_STACK_SIZE ( 32 * 1024 )
 
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/fstests/fsdosfsname01/init.c
===================================================================
--- testsuites/fstests/fsdosfsname01/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
+++ testsuites/fstests/fsdosfsname01/init.c	(revision bc7588777427880012026acad01dfd7a1f91d524)
@@ -36,4 +36,6 @@
 
 #include <errno.h>
+
+const char rtems_test_name[] = "FSDOSFSNAME 1";
 
 #define PRINT_DISK_IMAGE 0
@@ -1293,10 +1295,9 @@
 static void Init( rtems_task_argument arg )
 {
-  puts( "\n\n*** TEST fsdosfsname01 ***" );
+  TEST_BEGIN();
 
   test();
 
-  puts( "*** END OF TEST fsdosfsname01 ***" );
-
+  TEST_END();
   rtems_test_exit( 0 );
 }
@@ -1329,4 +1330,6 @@
 #define CONFIGURE_MAXIMUM_TASKS 1
 
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/fstests/fsdosfssync01/init.c
===================================================================
--- testsuites/fstests/fsdosfssync01/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
+++ testsuites/fstests/fsdosfssync01/init.c	(revision bc7588777427880012026acad01dfd7a1f91d524)
@@ -30,4 +30,6 @@
 #include <rtems/dosfs.h>
 #include <rtems/ramdisk.h>
+
+const char rtems_test_name[] = "FSDOSFSSYNC 1";
 
 static void create_file(const char *file)
@@ -140,10 +142,9 @@
 static void Init(rtems_task_argument arg)
 {
-  puts("\n\n*** TEST FSDOSFSSYNC 1 ***");
+  TEST_BEGIN();
 
   test("/dev/rda", "/mnt", "/mnt/file");
 
-  puts("*** END OF TEST FSDOSFSSYNC 1 ***");
-
+  TEST_END();
   rtems_test_exit(0);
 }
@@ -170,4 +171,6 @@
 #define CONFIGURE_EXTRA_TASK_STACKS (8 * 1024)
 
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/fstests/fsdosfswrite01/init.c
===================================================================
--- testsuites/fstests/fsdosfswrite01/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
+++ testsuites/fstests/fsdosfswrite01/init.c	(revision bc7588777427880012026acad01dfd7a1f91d524)
@@ -24,4 +24,6 @@
 #include <bsp.h>
 
+const char rtems_test_name[] = "FSDOSFSWRITE 1";
+
 #define MAX_PATH_LENGTH 100 /* Maximum number of characters per path */
 #define SECTOR_SIZE 512 /* sector size (bytes) */
@@ -263,10 +265,9 @@
 static void Init( rtems_task_argument arg )
 {
-  puts( "\n\n*** TEST FSDOSFSWRITE 1 ***" );
+  TEST_BEGIN();
 
   test();
 
-  puts( "*** END OF TEST FSDOSFSWRITE 1 ***" );
-
+  TEST_END();
   rtems_test_exit( 0 );
 }
@@ -288,4 +289,6 @@
 #define CONFIGURE_INIT_TASK_STACK_SIZE ( 32 * 1024 )
 
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/fstests/fserror/test.c
===================================================================
--- testsuites/fstests/fserror/test.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
+++ testsuites/fstests/fserror/test.c	(revision bc7588777427880012026acad01dfd7a1f91d524)
@@ -23,5 +23,8 @@
 
 #include "fstest.h"
+#include "fs_config.h"
 #include "pmacros.h"
+
+const char rtems_test_name[] = "FSERROR " FILESYSTEM;
 
 static void open_mkdir_error (void)
Index: testsuites/fstests/fsfpathconf/test.c
===================================================================
--- testsuites/fstests/fsfpathconf/test.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
+++ testsuites/fstests/fsfpathconf/test.c	(revision bc7588777427880012026acad01dfd7a1f91d524)
@@ -26,5 +26,8 @@
 
 #include "fstest.h"
+#include "fs_config.h"
 #include "tmacros.h"
+
+const char rtems_test_name[] = "FSFPATHCONF " FILESYSTEM;
 
 static void fpathconf_test(void){
Index: testsuites/fstests/fsfseeko01/init.c
===================================================================
--- testsuites/fstests/fsfseeko01/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
+++ testsuites/fstests/fsfseeko01/init.c	(revision bc7588777427880012026acad01dfd7a1f91d524)
@@ -24,4 +24,6 @@
 #include <inttypes.h>
 #include <limits.h>
+
+const char rtems_test_name[] = "FSFSEEKO 1";
 
 static void test(void)
@@ -79,10 +81,9 @@
 static void Init(rtems_task_argument arg)
 {
-  puts("\n\n*** TEST FSFSEEKO 1 ***");
+  TEST_BEGIN();
 
   test();
 
-  puts("*** END OF TEST FSFSEEKO 1 ***");
-
+  TEST_END();
   rtems_test_exit(0);
 }
@@ -97,4 +98,6 @@
 #define CONFIGURE_MAXIMUM_TASKS 1
 
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/fstests/fsimfsgeneric01/init.c
===================================================================
--- testsuites/fstests/fsimfsgeneric01/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
+++ testsuites/fstests/fsimfsgeneric01/init.c	(revision bc7588777427880012026acad01dfd7a1f91d524)
@@ -29,4 +29,6 @@
 #include <rtems/malloc.h>
 #include <rtems/libcsupport.h>
+
+const char rtems_test_name[] = "FSIMFSGENERIC 1";
 
 typedef enum {
@@ -475,11 +477,10 @@
 static void Init(rtems_task_argument arg)
 {
-  printf("\n\n*** TEST FSIMFSGENERIC 1 ***\n");
+  TEST_BEGIN();
 
   test_imfs_make_generic_node();
   test_imfs_make_generic_node_errors();
 
-  printf("*** END OF TEST FSIMFSGENERIC 1 ***\n");
-
+  TEST_END();
   rtems_test_exit(0);
 }
@@ -494,4 +495,6 @@
 #define CONFIGURE_MAXIMUM_TASKS 1
 
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/fstests/fslink/test.c
===================================================================
--- testsuites/fstests/fslink/test.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
+++ testsuites/fstests/fslink/test.c	(revision bc7588777427880012026acad01dfd7a1f91d524)
@@ -24,5 +24,8 @@
 
 #include "fstest.h"
+#include "fs_config.h"
 #include "pmacros.h"
+
+const char rtems_test_name[] = "FSLINK " FILESYSTEM;
 
 /*
Index: testsuites/fstests/fsnofs01/init.c
===================================================================
--- testsuites/fstests/fsnofs01/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
+++ testsuites/fstests/fsnofs01/init.c	(revision bc7588777427880012026acad01dfd7a1f91d524)
@@ -29,4 +29,6 @@
 #include <rtems/libio_.h>
 
+const char rtems_test_name[] = "FSNOFS 1";
+
 static int node_count(const rtems_chain_control *chain)
 {
@@ -334,5 +336,5 @@
 static void Init(rtems_task_argument arg)
 {
-  printk("\n\n*** TEST FSNOFS 1 ***\n");
+  rtems_test_begink();
 
   rtems_libio_init();
@@ -346,6 +348,5 @@
   test_user_env();
 
-  printk("*** END OF TEST FSNOFS 1 ***\n");
-
+  rtems_test_endk();
   exit(0);
 }
@@ -357,4 +358,6 @@
 #define CONFIGURE_MAXIMUM_TASKS 1
 
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/fstests/fspatheval/test.c
===================================================================
--- testsuites/fstests/fspatheval/test.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
+++ testsuites/fstests/fspatheval/test.c	(revision bc7588777427880012026acad01dfd7a1f91d524)
@@ -22,7 +22,10 @@
 
 #include "fstest.h"
+#include "fs_config.h"
 #include "pmacros.h"
 
 #define BUF_SIZE 100
+
+const char rtems_test_name[] = "FSPATHEVAL " FILESYSTEM;
 
 static void make_multiple_files (char **files,int is_directory)
Index: testsuites/fstests/fspermission/test.c
===================================================================
--- testsuites/fstests/fspermission/test.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
+++ testsuites/fstests/fspermission/test.c	(revision bc7588777427880012026acad01dfd7a1f91d524)
@@ -23,5 +23,8 @@
 
 #include "fstest.h"
+#include "fs_config.h"
 #include "pmacros.h"
+
+const char rtems_test_name[] = "FSPERMISSION " FILESYSTEM;
 
 /*
Index: testsuites/fstests/fsrdwr/init.c
===================================================================
--- testsuites/fstests/fsrdwr/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
+++ testsuites/fstests/fsrdwr/init.c	(revision bc7588777427880012026acad01dfd7a1f91d524)
@@ -24,5 +24,8 @@
 
 #include "fstest.h"
+#include "fs_config.h"
 #include "pmacros.h"
+
+const char rtems_test_name[] = "FSRDWR " FILESYSTEM;
 
 static const mode_t mode = S_IRWXU | S_IRWXG | S_IRWXO;
Index: testsuites/fstests/fsrfsbitmap01/test.c
===================================================================
--- testsuites/fstests/fsrfsbitmap01/test.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
+++ testsuites/fstests/fsrfsbitmap01/test.c	(revision bc7588777427880012026acad01dfd7a1f91d524)
@@ -26,6 +26,9 @@
 
 #include "fstest.h"
+#include "fs_config.h"
 #include "tmacros.h"
 #include <rtems/malloc.h>
+
+const char rtems_test_name[] = "FSRFSBITMAP 1";
 
 #define rtems_rfs_exit_on_error(_rc, _r, _c, _b)                         \
Index: testsuites/fstests/fsrofs01/init.c
===================================================================
--- testsuites/fstests/fsrofs01/init.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
+++ testsuites/fstests/fsrofs01/init.c	(revision bc7588777427880012026acad01dfd7a1f91d524)
@@ -28,4 +28,6 @@
 #include <rtems/rtems-rfs-format.h>
 #include <rtems/ramdisk.h>
+
+const char rtems_test_name[] = "FSROFS 1";
 
 static const rtems_rfs_format_config rfs_config;
@@ -152,11 +154,10 @@
 static void Init(rtems_task_argument arg)
 {
-  printf("\n\n*** TEST FSROFS 1 ***\n");
+  TEST_BEGIN():
 
   test_create_file_system();
   test_rofs();
 
-  printf("*** END OF TEST FSROFS 1 ***\n");
-
+  TEST_END():
   rtems_test_exit(0);
 }
@@ -182,4 +183,6 @@
 #define CONFIGURE_EXTRA_TASK_STACKS (8 * 1024)
 
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/fstests/fsstatvfs/test.c
===================================================================
--- testsuites/fstests/fsstatvfs/test.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
+++ testsuites/fstests/fsstatvfs/test.c	(revision bc7588777427880012026acad01dfd7a1f91d524)
@@ -16,5 +16,8 @@
 
 #include "fstest.h"
+#include "fs_config.h"
 #include "pmacros.h"
+
+const char rtems_test_name[] = "FSSTATVFS " FILESYSTEM;
 
 static void statvfs_validate(struct statvfs *stat)
Index: testsuites/fstests/fssymlink/test.c
===================================================================
--- testsuites/fstests/fssymlink/test.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
+++ testsuites/fstests/fssymlink/test.c	(revision bc7588777427880012026acad01dfd7a1f91d524)
@@ -24,5 +24,8 @@
 
 #include "fstest.h"
+#include "fs_config.h"
 #include "pmacros.h"
+
+const char rtems_test_name[] = "FSSYMLINK " FILESYSTEM;
 
 /*
Index: testsuites/fstests/fstime/test.c
===================================================================
--- testsuites/fstests/fstime/test.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
+++ testsuites/fstests/fstime/test.c	(revision bc7588777427880012026acad01dfd7a1f91d524)
@@ -25,5 +25,8 @@
 #ifdef __rtems__
 #include "fstest.h"
+#include "fs_config.h"
 #include "pmacros.h"
+
+const char rtems_test_name[] = "FSTIME " FILESYSTEM;
 #else
 #include <assert.h>
Index: testsuites/fstests/imfs_support/fs_support.c
===================================================================
--- testsuites/fstests/imfs_support/fs_support.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
+++ testsuites/fstests/imfs_support/fs_support.c	(revision bc7588777427880012026acad01dfd7a1f91d524)
@@ -34,4 +34,6 @@
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/fstests/jffs2_support/fs_support.c
===================================================================
--- testsuites/fstests/jffs2_support/fs_support.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
+++ testsuites/fstests/jffs2_support/fs_support.c	(revision bc7588777427880012026acad01dfd7a1f91d524)
@@ -155,4 +155,7 @@
 
 #define CONFIGURE_INIT_TASK_STACK_SIZE (32 * 1024)
+
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/fstests/mdosfs_support/fs_support.c
===================================================================
--- testsuites/fstests/mdosfs_support/fs_support.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
+++ testsuites/fstests/mdosfs_support/fs_support.c	(revision bc7588777427880012026acad01dfd7a1f91d524)
@@ -81,4 +81,7 @@
  * Configure base RTEMS resources.
  */
+
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/fstests/mimfs_support/fs_support.c
===================================================================
--- testsuites/fstests/mimfs_support/fs_support.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
+++ testsuites/fstests/mimfs_support/fs_support.c	(revision bc7588777427880012026acad01dfd7a1f91d524)
@@ -48,6 +48,6 @@
  * Configure base RTEMS resources.
  */
-#define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
 
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
Index: testsuites/fstests/mrfs_support/fs_support.c
===================================================================
--- testsuites/fstests/mrfs_support/fs_support.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
+++ testsuites/fstests/mrfs_support/fs_support.c	(revision bc7588777427880012026acad01dfd7a1f91d524)
@@ -62,4 +62,6 @@
 #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
 
+#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
+
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/fstests/support/fstest_support.c
===================================================================
--- testsuites/fstests/support/fstest_support.c	(revision ad48ebbfc7e56cfdaf33e7a77a314171d6455511)
+++ testsuites/fstests/support/fstest_support.c	(revision bc7588777427880012026acad01dfd7a1f91d524)
@@ -57,5 +57,6 @@
 {
   int rc=0;
-  puts( "\n\n*** FILE SYSTEM TEST ( " FILESYSTEM " ) ***" );
+
+  TEST_BEGIN();
 
   puts( "Initializing filesystem " FILESYSTEM );
@@ -72,5 +73,5 @@
   test_shutdown_filesystem();
 
-  puts( "*** END OF FILE SYSTEM TEST ( " FILESYSTEM " ) ***" );
+  TEST_END();
   rtems_test_exit(0);
 }
